Change log for boost-defaults package in Ubuntu

126 of 26 results
Published in focal-release on 2020-02-27
Deleted in focal-proposed (Reason: moved to Release)
boost-defaults (1.71.0.0ubuntu1) focal; urgency=medium

  [ Giovanni Mascellani ]
  * Update for boost 1.71.0.

  [ Dimitri John Ledkov ]
  * Port create-boost-defaults-control.py to python3.
  * Update boost-defaults with newly enabled arches.

 -- Giovanni Mascellani <email address hidden>  Mon, 14 Oct 2019 09:20:42 +0200
Superseded in focal-release on 2020-02-27
Deleted in focal-proposed on 2020-02-29 (Reason: moved to Release)
boost-defaults (1.67.0.2ubuntu1) focal; urgency=medium

  * Don't build numpy anymore on i386

 -- Gianfranco Costamagna <email address hidden>  Fri, 10 Jan 2020 09:28:04 +0100
Superseded in focal-release on 2020-01-10
Published in eoan-release on 2019-08-15
Deleted in eoan-proposed (Reason: moved to release)
boost-defaults (1.67.0.2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.

  [ Giovanni Mascellani ]
  * Convert debian/copyright to the machine-readable format and make it clear
    that it is not about the actual Boost license (closes: #934013).
  * Explicitly list Intel-based architectures in dependencies, in order to
    avoid depending on x32 when it is not supported (closes: #933276).

 -- Giovanni Mascellani <email address hidden>  Tue, 06 Aug 2019 16:38:06 +0200

Available diffs

Superseded in eoan-release on 2019-08-15
Published in disco-release on 2018-11-20
Deleted in disco-proposed (Reason: moved to release)
boost-defaults (1.67.0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Dimitri John Ledkov ]
  * d/create-boost-defaults-control.py: fix up Vcs and Build-Depends-Indep
    fields.
  * Regenerate debian/control with 1.67 as default.

 -- Dimitri John Ledkov <email address hidden>  Thu, 15 Nov 2018 12:07:06 +0000
Superseded in disco-release on 2018-11-20
Published in cosmic-release on 2018-07-19
Deleted in cosmic-proposed (Reason: moved to release)
boost-defaults (1.67.0.0ubuntu1) cosmic; urgency=medium

  * Set default boost to 1.67.

 -- Matthias Klose <email address hidden>  Mon, 16 Jul 2018 13:17:26 +0200
Superseded in cosmic-release on 2018-07-19
Published in bionic-release on 2017-10-31
Deleted in bionic-proposed (Reason: moved to release)
boost-defaults (1.65.1.0ubuntu1) bionic; urgency=medium

  * Set default boost to 1.65.

 -- Dimitri John Ledkov <email address hidden>  Thu, 26 Oct 2017 11:01:08 +0100
Superseded in bionic-release on 2017-10-31
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
boost-defaults (1.62.0.1) unstable; urgency=medium

  * Set default boost to 1.62.

 -- Dimitri John Ledkov <email address hidden>  Tue, 01 Nov 2016 11:02:56 +0000
Superseded in zesty-release on 2016-11-23
Deleted in zesty-proposed on 2016-11-24 (Reason: moved to release)
boost-defaults (1.62.0.0ubuntu1) zesty; urgency=medium

  * Set default boost to 1.62.

 -- Dimitri John Ledkov <email address hidden>  Tue, 01 Nov 2016 11:02:56 +0000
Superseded in zesty-release on 2016-11-08
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
boost-defaults (1.61.0.2) unstable; urgency=high

  * Import NMU into svn, thanks doko.
  * Drop adding g++-5 dependencies to meta-packages, no longer needed for
    the safer c++11 abi migration. Closes: #814810, #814808.
  * Regenerate control using updated python script.

 -- Dimitri John Ledkov <email address hidden>  Thu, 04 Aug 2016 14:16:52 +0100
Superseded in yakkety-proposed on 2016-08-05
boost-defaults (1.61.0.0ubuntu1) yakkety; urgency=medium

  * Set default Boost to 1.61.0.

 -- Matthias Klose <email address hidden>  Wed, 03 Aug 2016 19:56:40 +0200
Superseded in yakkety-release on 2016-08-06
Deleted in yakkety-proposed on 2016-08-07 (Reason: moved to release)
boost-defaults (1.60.0.0ubuntu1) yakkety; urgency=medium

  * Set default Boost to 1.60.0.

 -- Dimitri John Ledkov <email address hidden>  Fri, 22 Apr 2016 23:29:30 +0100
Superseded in yakkety-release on 2016-04-26
Published in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
boost-defaults (1.58.0.1ubuntu1) xenial; urgency=medium

  * Drop compiler ABI dependencies, breaks cross-compilation. LP: #1552914

 -- Dimitri John Ledkov <email address hidden>  Fri, 08 Apr 2016 13:26:05 +0100
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed on 2016-04-10 (Reason: moved to release)
boost-defaults (1.58.0.1) unstable; urgency=medium

  * Set default to 1.58.0 with C++'11 ABI. (Closes: #783002, #773111)
  * Add dependencies to ensure C++'11 ABI capable tool chain is pulled. (Closes: #790351)

 -- Dimitri John Ledkov <email address hidden>  Wed, 01 Jul 2015 12:23:21 +0100
Superseded in xenial-release on 2016-01-08
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
boost-defaults (1.58.0.0ubuntu1) wily; urgency=medium

  * Set default Boost to 1.58.0.

 -- Matthias Klose <email address hidden>  Tue, 21 Jul 2015 10:15:40 +0200
Superseded in wily-release on 2015-08-17
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
boost-defaults (1.55.0.2) unstable; urgency=medium


  * Upload to unstable.
    - control file was regenerated in 1.55.0.1 (Closes: #736627, #720160)

 -- Steve M. Robbins <email address hidden>  Sun, 18 May 2014 23:09:16 -0500
Superseded in vivid-release on 2014-11-11
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
boost-defaults (1.55.0.1~ubuntu1) utopic; urgency=high

  * Upload to utopic, ahead of passing experimental new queue.
 -- Dimitri John Ledkov <email address hidden>   Thu, 24 Apr 2014 01:48:13 +0100
Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-10-24
Deleted in trusty-proposed (Reason: moved to release)
boost-defaults (1.54.0.1ubuntu1) devel; urgency=low

  * Set default Boost to 1.54.0
  * Regenerate with Multi-Arch fields.
  * Add tools-dev package.
 -- Dmitrijs Ledkovs <email address hidden>   Fri, 18 Oct 2013 10:26:42 +0100
Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
boost-defaults (1.53.0.0ubuntu2) saucy; urgency=low

  * Regenerate with Multi-Arch fields.
  * Add tools-dev package.
 -- Dmitrijs Ledkovs <email address hidden>   Tue, 06 Aug 2013 11:30:28 +0100
Superseded in saucy-release on 2013-08-06
Deleted in saucy-proposed on 2013-08-07 (Reason: moved to release)
boost-defaults (1.53.0.0ubuntu1) raring; urgency=low

  * Set default Boost to 1.53.0.
 -- Dmitrijs Ledkovs <email address hidden>   Thu, 21 Mar 2013 00:48:26 +0000
Superseded in saucy-release on 2013-05-02
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
boost-defaults (1.49.0.1) unstable; urgency=low


  * Set default Boost to 1.49.0.

 -- Steve M. Robbins <email address hidden>  Tue, 27 Mar 2012 21:47:40 -0500

Available diffs

Superseded in quantal-release on 2012-04-27
Published in precise-release on 2012-01-03
boost-defaults (1.48.0.2) unstable; urgency=low

  * Revert to 1.46.1 until some build issues are worked out.  See
    http://lists.debian.org/debian-release/2011/12/msg00263.html.

Available diffs

Superseded in precise-release on 2012-01-03
Obsolete in oneiric-release on 2015-04-24
boost-defaults (1.46.1.1) unstable; urgency=low

  * Set default Boost to 1.46.1.
  
  * control.in: Update Standards-Version, debhelper build-dep on v8.  Add
    package libboost-random-dev.

  * copyright: Change to MIT license.
  
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  28 Apr 2011 23:42:16 +0000

Available diffs

Superseded in oneiric-release on 2011-04-29
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
boost-defaults (1.42.0.1ubuntu1) maverick; urgency=low

  * debian/control:
    - liboost-all-dev: deleted dependency on the libboost-mpi-dev,
      libboost-mpi-python-dev and libboost-graph-parallel-dev. This packages has
      been deleted from Ubuntu.
    - Deleted libboost-mpi-dev package to be consistent with Ubuntu boost
      package as it has been deleted from there (LP: #531973)
    - Deleted libboost-mpi-python-dev package to be consistent with Ubuntu boost
      package as it has been deleted from there.
    - Deleted libboost-graph-parallel-dev package to be consistent with Ubuntu
      boost package as it has been deleted from there.
 -- Fabrice Coutadeur <email address hidden>   Tue, 18 May 2010 06:43:52 +0200

Available diffs

Superseded in maverick-release on 2010-05-23
boost-defaults (1.42.0.1) unstable; urgency=low

  * Set default Boost to 1.42.0.  Closes: #574486.
  
  * control.in: New packages libboost-graph-parallel-dev,
    libboost-mpi-python-dev.  Change libboost-all-dev to depend on all the
    unversioned -dev packages, rather than the versioned -all-dev package.
    Closes: #554410.
 -- Scott Kitterman <email address hidden>   Sat,  08 May 2010 15:00:59 +0100

Available diffs

Superseded in maverick-release on 2010-05-08
Obsolete in lucid-release on 2016-10-26
boost-defaults (1.40.0.1) unstable; urgency=low

  * Set default Boost to 1.40.0.
  
  * control.in: New package libboost-all-dev.  Closes: #537739.  New
    package libboost-dbg.  Closes: #544185.

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
Superseded in karmic-release on 2009-07-07
boost-defaults (1.38.1) unstable; urgency=low

  * control: Change -doc package dependency from libboost1.38-dev to
    libboost1.38-doc.  Closes: #528146.

126 of 26 results